// Chance, Assignment 4.  Not really digital states, but approximations of analog ones

#define Serial SerialUSB

const int buttonPin = 2;     // momentary button
const int greenLED =  13;    // green LED
const int green2LED =  12;    // green LED
const int yelLED = 11;      // yellow LED
const int yel2LED = 10;      // yellow LED
const int redLED = 9;      // red LED
const int red2LED = 8;      // red2 LED
const int potPin = 1;   // analog 1

float LEDcount = 6.0f; // should just cast this later but fine to be declared as this
int startPin = 8;

void setup() {
  // initialize the LED pins as an outputs:
  for (int i = red2LED; i <= greenLED; i++) {
    pinMode(i, OUTPUT);
  }
  // initialize the pot pin as an analog input:
  pinMode(potPin, INPUT);
}


void loop() {
  // read in the pot / thermo stand-in
  int val = analogRead(potPin);
  Serial.println(val);

  for(int i = LEDcount - 1; i >= 0; i--) {
    if(val >= (((float)i / LEDcount) * 1023)){ 
      digitalWrite(i + startPin, HIGH);
      //Serial.print("YES ");
    }
    else {
      digitalWrite(i + startPin, LOW);
      //Serial.print("NO ");
    }
  }
}
